package de.hft.stuttgart.citygml.green.osm.jaxb;

import java.util.ArrayList;
import java.util.List;

import jakarta.xml.bind.annotation.XmlAttribute;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlElements;

public class OsmRelation {
	
	@XmlAttribute
	private String id;

	@XmlElement
	private Bounds bounds;
	
	@XmlElements(value = { @XmlElement(name = "member", type = OsmMember.class) })
	private List<OsmMember> members;
	
	@XmlElements(value = { @XmlElement(name = "tag", type = OsmTag.class) })
	private List<OsmTag> tags;

	
	public List<OsmTag> getTags() {
		if (tags == null) {
			tags = new ArrayList<>();
		}
		return tags;
	}
	
	public List<OsmMember> getMembers() {
		if (members == null) {
			members = new ArrayList<>();
		}
		return members;
	}
	
	public Bounds getBounds() {
		return bounds;
	}
	
	public String getId() {
		return id;
	}


}
